<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddReferencesPath Method (IEdmAddCustomRefs)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs Interface : AddReferencesPath Method (IEdmAddCustomRefs)

Visual Basic
C#
C++/CLI

lRootFile
  ID of file to which to add file references

ppoReferences
  Array of paths to reference files to add to lRootFile

Obsolete. Superseded by IEdmAddCustomRefs2::AddReferencesPath2 .

# Syntax

Visual Basic |
--- | ---

    Sub AddReferencesPath( _
       ByVal lRootFile As System.Integer, _
       ByRef ppoReferences() As System.String _
    )

C# |
--- | ---

    void AddReferencesPath(
       System.int lRootFile,
       ref System.string[] ppoReferences
    )

C++/CLI |
--- | ---

    void AddReferencesPath(
    &   System.int lRootFile,
    &   System.array<String^>^% ppoReferences
    )

#### Parameters

lRootFile
  ID of file to which to add file references
ppoReferences
  Array of paths to reference files to add to lRootFile

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs Interface
IEdmAddCustomRefs Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional